org.apache.lucene.spatial3d.geom

## Class BasePlanetObject

- java.lang.Object
- - org.apache.lucene.spatial3d.geom.BasePlanetObject

- All Implemented Interfaces:
    PlanetObject, SerializableObject
  Direct Known Subclasses:
    GeoBaseCompositeShape, GeoBaseShape

      public abstract class BasePlanetObject
      extends Object
      implements PlanetObject

  All Geo3D shapes can derive from this base class, which furnishes some common code
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PlanetModel` | `planetModel` This is the planet model embedded in all objects derived from this class.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasePlanetObject(PlanetModel planetModel)` Constructor creating class instance given a planet model.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `PlanetModel` | `getPlanetModel()` Returns the `PlanetModel` provided when this shape was created.
    `int` | `hashCode()`
    `void` | `write(OutputStream outputStream)` Serialize to output stream.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.SerializableObject

      `readBitSet, readBoolean, readByteArray, readClass, readDouble, readHeterogeneousArray, readHomogeneousArray, readInt, readLong, readObject, readObject, readObject, readObject, readPlanetObject, readPointArray, readPolygonArray, readString, writeBitSet, writeBoolean, writeByteArray, writeClass, writeDouble, writeHeterogeneousArray, writeHeterogeneousArray, writeHomogeneousArray, writeHomogeneousArray, writeInt, writeLong, writeObject, writePlanetObject, writePointArray, writePointArray, writePolygonArray, writePolygonArray, writeString`

- - ### Field Detail

    - #### planetModel

          protected final PlanetModel planetModel

      This is the planet model embedded in all objects derived from this class.

  - ### Constructor Detail

    - #### BasePlanetObject

          public BasePlanetObject(PlanetModel planetModel)

      Constructor creating class instance given a planet model.
      Parameters:
        `planetModel` - is the planet model.

  - ### Method Detail

    - #### getPlanetModel

          public PlanetModel getPlanetModel()

      Description copied from interface: `PlanetObject`
      Returns the `PlanetModel` provided when this shape was created.
      Specified by:
        `getPlanetModel` in interface `PlanetObject`

    - #### write

          public void write(OutputStream outputStream)
                     throws IOException

      Description copied from interface: `SerializableObject`
      Serialize to output stream.
      Specified by:
        `write` in interface `SerializableObject`
      Parameters:
        `outputStream` - is the output stream to write to.
      Throws:
        `IOException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.